Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.schema.identity
Class Unique

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.IdentityConstraint
            |
            +--org.apache.xerces.validators.schema.identity.Unique

public class Unique
extends IdentityConstraint

Schema unique identity constraint.

Version:
  $Id: Unique.java,v 1.3 2001/02/20 06:12:28 andyc Exp $
Author:
  Andy Clark, IBM

Fields inherited from class org.apache.xerces.validators.schema.identity.IdentityConstraint
`fElementName, fFieldCount, fFields, fIdentityConstraintName, fSelector, KEY, KEYREF, UNIQUE`

Constructor Summary
`Unique(java.lang.String identityConstraintName, java.lang.String elementName)` Constructs a unique identity constraint.

Method Summary
`short` | `getType()` Returns the identity constraint type.

Methods inherited from class org.apache.xerces.validators.schema.identity.IdentityConstraint
`addField, equals, getElementName, getFieldAt, getFieldCount, getIdentityConstraintName, getSelector, setSelector, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Unique

    public Unique(java.lang.String identityConstraintName,
                  java.lang.String elementName)

  Constructs a unique identity constraint.

Method Detail

### getType

    public short getType()

  Returns the identity constraint type.
  Overrides:
    getType in class IdentityConstraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.